Skip to Content

Have you ever done an upgrade with SUM?

If yes, have you ever done an Ehancement Package 6 Installation for SAP ERP?

If yes, have you seen the following odd state?

We noticed the following state during our recent ERP 6.0 EHP6 Upgrades.

Situation

When you’re doing an EHP Upgrade/Installation, you’ve to use SAP Solution Manager to generate the STACK.XML file for the system in order to download and execute the Installation/Upgrade.

During this process, you may remember that you’re setting the ERP version to EHP6 for SAP ERP 6.0 and NetWeaver version to SAP EHP3 for SAP NetWeaver 7.0 as it can be seen below:

/wp-content/uploads/2012/12/sum1_165760.png

Then you’re copying this STACK.XML onto server and run the SUM by using this STACK.XML and downloaded files. Below you can see the SUM 1.0 SP5. IT shows you the source and terget releases and it is same as the releases you see on Solman MOPZ screens.

/wp-content/uploads/2012/12/sum2_165764.png

When you finish the upgrade/installation, SUM shows you another screen with the same information as seen below

/wp-content/uploads/2012/12/sum3_165765.png

Everything seems to consistent until you finish the EHP6 upgrade/installation. But when you check the software components releases and SP levels via SPAM or System>Status, Suprise 🙂

/wp-content/uploads/2012/12/sum4_165766.png

Question

Who is responsible of this dramatic change? Yes I accept that it may be the case that NetWeaver 7.03 and NetWeaver 7.31 has the same code level, but why this suprise?

To report this post you need to login first.

24 Comments

You must be Logged on to comment or reply to a post.

  1. Boris Rubarth

    Hello Huseyin,

    I completely understand your astonishment.

    Still I have to emphasize that his has nothing to do with the Software Update Manager (SUM) itself. An ABAP stack with “SAP EHP 3 for SAP NetWeaver 7.0” (as an enhancement for a product version) is using the software component version SAP_BASIS 7.31 (and others with 7.31). So the SUM did not pretend anything on the UI that was not true.

    It is just not the case that product versions and software component versions are always numbered in the same way.

    You may compare this with the fact that EHP 5 for SAP ERP 6.0 is using the software component version SAP_HR 6.04.

    Kind regards, Boris

    [Product Manager for Software Update Manager, SAP AG]

    (0) 
      1. Boris Rubarth

        Hi Sathya,

        can you please state where you see any error?

        As I tried to describe in my first comment, you have to distinguish between the software component version and the product version.

        Thanks, Boris

        (0) 
    1. Hüseyin Bilgen Post author

      H Boris,

      I read your blog now. I knew the relation between the Product and SW versions and aware that NW 7.03 ABAP has the same codebase with NW 7.31

      What I tried to mention that the flow on SUM makes customers a little confused and they are suspecting if something went wrong during upgrade.

      That is why I’m complaning that why this is not mentioned on SUM screen of Solman STACK.XML?

      BR

      (0) 
      1. Boris Rubarth

        Hi Huseyin,

        I see your point …

        Still it is not easy to decide when to show which “warning”: only if SAP BASIS 7.31 is occuring as part of EHP3 for SAP NetWeaver 7.0? And in addition if SAP HR is in there? Or just list all software component versions that are mentioned in the stack.xml file? Not an easy way, so it was decided to only list the product versions.

        Anyhow it was a trigger for me to finally write that blog that I had in mind anyhow 🙂

        Thank you for your input and best regards, Boris

        (0) 
        1. Vidya Sagar Chintalapudi

          Hello Boris

          Please help with this error situations I am unable to install the SAP Java Based system

          i am having EHP6 ERP 6.0 Both ABAP and Java based Components downloaded from SMP . But is not showing to install the java components only the ABAP based components are working .For your reference i also attached the image which i am following For ECC installation .It is SWPM latest Version 1.0 downloaded from SMPdesktop 5.PNG

          (0) 
          1. Boris Zarske

            Hello Vidya,

            EHP6 of SAP ERP 6.0 also supports Java components based on SAP NetWeaver 7.3x, as outlined in the Master Guide, section “Business Suite Enablement for NW7.3 (Java hubs)”. Therefore, the Java parts for SAP Business Suite 7i 2011 are offered by the software provisioning manager for SAP NetWeaver 7.1x and higher:

            /wp-content/uploads/2014/10/08_10_558378.png

            So, you would have to download also the second archive of software provisioning manager (SWPM…SAR) in addtion and use this for the Java parts (while using the 70_SWPM…SAR for the ABAP parts).

            Best regards,

            Boris

            (0) 
            1. Vidya Sagar Chintalapudi

              Dear Boris

              Thank You very much for giving me such a useful information can u please guide me the exact file name i have to download please help me in that .I will start working on that from now onwards

              (0) 
              1. Boris Zarske

                Dear Vidya,

                For software provisioning manager, there are two archives:

                • For systems based on SAP NetWeaver 7.0x, use archive:
                  70SWPM10SP<support package number>_<patch level>*.SAR
                • For systems based on SAP NetWeaver 7.1x and higher, use archive:
                  SWPM10SP<support package number>_<patch level>*.SAR

                You can find both archives at http://service.sap.com/sltoolset –> Software Logistics Toolset 1.0 –> <System Provisioning entry in the table> –> download tool –> <your platform>. Latest archive as of today would be SWPM10SP06_5-20009700.SAR.

                Best regards,

                Boris

                (0) 
                1. Vidya Sagar Chintalapudi

                  Dear Boris

                  i want to install an SAP ECC system which should be a java stack.And i am Having the Java Components.Can u please tell which one i have to choose for the installation of SAP ECC System

                  I have downloaded Java components based on NW 7.03 but in the Installation master which i had downloaded from ur suggestion there it is not showing any EHP6 ERP6.0 based on         NW 7.03

                  Please kindly Help me in solving this issue

                  (0) 
                  1. Vidya Sagar Chintalapudi

                    Sorry it is NW 7.30 and i tried to install Using the latest version u have suggested me

                    i followed this pattern

                    SAP Business Suite 7i 2011 Java

                    —->EHP 6 FOR SAP ERP 6.0 JAVA on Netweaver 7.3

                          —->Oracle Database

                                 —->SAP Systems

                                        —->Application Server as Java system

                                               —->Standard System

                    And the Error it is showing that We had selected the Java components Based on NW 7.03 and it is demanding The Java Components Based on NW 7.30

                    But i want to install SAP NW 7.03 JAVA  Stack Installation

                    In The Inst Master there is no option for installation Of Java Stack Based on NW 7.03

                    I am attaching the scree shot for ur reference

                    desktop 6.PNG

                    (0) 
                    1. Boris Zarske

                      Hello Vidya,

                      Sorry, the experts are still discussing, if a) it is only supported to install NW 7.3 Java components for SAP ECC 6.0 EHP6 or b) if also NW 7.0x Java releases are supported and how the documentation would then have to be adapted (so that it is clear which installation services to use to install those for SAP ECC 6.0 EHP6). Will get back to you as soon as we could clarify this with the experts from the SAP Business Suite.

                      Best regards,

                      Boris

                      (0) 
                        1. Vidya Sagar Chintalapudi

                          Boris

                          I am struck with the installation error in Import ABAP Phase .i have tried while restarting the listeners and the DB also and restarted the services also for the DB Oracle DB what will be the reason for that

                          FYI i am sending you the screen shot of my error  please check it

                          And give me succesfull information to troubleshoot this issue

                          (0) 
                        2. Boris Zarske

                          Hello Vidya,

                          Now, I could reach our SAP Business Suite counterparts – they confirmed that for the installation of Java components for SAP ERP 6.0 EHP6, SAP NetWeaver 7.3x is the standard, so you should install those – Java components on SAP NetWeaver 7.3x are the right components for SAP ERP 6.0 EHP6 installations.

                          Java components on SAP NetWeaver 7.0x were only meant for updates/upgrades, but not for new installations. The colleagues agreed that the Master Guide has to be adapted to make this clearer.

                          Best regards,

                          Boris

                          (0) 
                          1. Vidya Sagar Chintalapudi

                            Dear Boris

                            I am having the SAP Installation Media consist of

                            desktop 7.PNG

                            These components we have downloaded from SMP were,

                            destop 8.PNG

                            Now i am having the Installation master for based SAP Netweaver 7.30 for the java stack.

                            So my question is,

                            Can i download Java Components based on SAP Netweaver 7.30 .

                            And can i use the above files for the installation purpose ah,like the

                            Export  and Kernel,Oracle,Oracle Client,SLControler

                            can be used in Installation of SAP based on Netweaver 7.30

                            Or else the above files should also be based On SAP Netweaver 7.30 ah?

                            For the installation

                            (0) 
                            1. Boris Rubarth

                              Hi Vidya,

                              sorry to read that there are still open questions.

                              May I nevertheless propose to open a separate discussion thread for that, as this is not related to the topic of this blog (Software Update Manager), and the answers are becoming hard to read due to the identation.

                              Thanks and regards, Boris Rubarth (Product Manager SUM)

                              (0) 
  2. Arun Kumar

    Hi Huseyin,

    I had the same surprise when I installed EHP2 on SCM 7.0 in Sep 2012 using SUM SP05, but realized the fact from scn forums and othe documents that EHP 3 for NW 7.0 was merged t0 EHP 1 NW 7.3 (7.31)  , there is no 7.03 anymore ,only 7.31

    I agree with the fact that the screen in SUM makes yu little confused, I was also confused initially thinking i used the wrong archives

    Later I used SUM SP06 for BW 7.3 upgrade, there was no such confusion, SUM SP06 is available since Nov 2012.

    Regards

    (0) 
  3. Gohar Mustafa

    Hi Everyone,

    Boris such nice blog on the confusion .I have also came through same screen while Upgrading from EEC 6.0 to ECC6.0 EHP6 Netweaver 7.0 EHP3 which is successfully done.

    In addition to the blog my question is when i go SMP to download media for ECC6.0 EHP6 i got following option.

    EHP6 FOR SAP ERP 6.0 (Installations and Upgrades)

    so which one i should go for my ECC6.0 EHP6 Netweaver 7.0 EHP3 ?

    (0) 
    1. Boris Zarske

      Hello Gohar,

      Concerning your download question: in the software download center under EHP6 for SAP ERP 6.0 –> based on SAP NetWeaver 7.3, you find only the Java 7.3 components, which were released via the SAP Business Suite enablement 7.3 – for example, see SAP Note 1698276. So, if you want to install an SAP ECC system (ABAP), you choose “based on SAP NetWeaver 7.03” and if you want to install SAP Business Suite Java applications (such as a Portal 7.3), you choose “based on SAP NetWeaver 7.3”.

      Best regards,

      Boris Zarske

      (0) 

Leave a Reply